-- Notes:
--	each level has a unique image
--	levels define number of images per row, number of rows, decent speed ('s'), and row separation ('sp')
local enemies	= {
	images		= {},
	sprites		= {'saucer','bunny','cock','frog','pig','lamb','bull','alien','ship'},
	number		= {},
	scale		= 0.04,
	wave		= 0,
	levels		= { {math.random(1,8)},{1,2,3,s=4}, {6,5,s=6}, {1,2,3,4,5,s=4}, {14,s=8}, {14,13,14},{1,2,3,4,5,6,7,8,9,10,11,12,s=4,sp=3},{8,10,12,14,sp=4},{1,s=30}},
	mortesound	= love.audio.newSource( 'sounds/enemy_morte.wav' ),
	spawn		= function( self, lev )	-- create new level
					local setup = self.levels[lev]
					for j = 1, #setup do
						local s = math.floor( screen.w / ( 1 + setup[j] ) )
						for i = 1, setup[j] do
							sp = setup.sp or 2
							local enemy = {
								x		= i * s,
								y		= -sp * screen.scale * j,
								width	= 2 * screen.scale,
								height	= 2 * screen.scale,
								speed	= setup.s or 6,
								}
							table.insert( self.number, enemy )
							end
						end
					end,
	draw	= function( self )
		love.graphics.setColor( 255, 255, 255 )
		for _,e in pairs( self.number ) do
			love.graphics.draw( self.images[self.wave], e.x, e.y, 0, self.scale*screen.scale, self.scale*screen.scale )
			end
		end,
	update	= function( self, tk, player, game )
		for _,enemy in pairs( self.number ) do
			if enemy.y >= love.graphics.getHeight()/screen.scale then
				love.audio.play( player.morte_sound )
				self.win = true
				end
			enemy.y = enemy.y + enemy.speed * tk
			end
		if #self.number == 0 then self:nextWave() end
		end,
	nextWave = function( self )	-- spawn wave of enemies
		self.wave = self.wave + 1
		if self.wave > #self.levels then
			self.lose = true
			else
			self:spawn(self.wave)
			end
	end
	}

for i=1,#enemies.sprites do 	-- load enemy images
	enemies.images[i] = love.graphics.newImage('images/'..enemies.sprites[i]..'.png')
	end

return enemies
