local enemies	= require 'lib/enemies'
local cannon	= require 'lib/cannon'
local explosion	= require 'lib/explosion'
local bullet	= require 'lib/bullet'
local game		= require 'lib/game'
local background= require 'lib/background'

function love.load()
	screen = {w = 160, h = 120, scale = 5 }	-- change screen.scale for different size screens
	love.window.setMode( screen.scale * screen.w, screen.scale * screen.h )
	love.graphics.setNewFont( 13*screen.scale )
	info = true
	end

function love.draw()
	love.window.setTitle(('%s  - level %s'):format(enemies.sprites[enemies.wave],enemies.wave ))
	background:draw()
	if info then game.infoText() else
		if enemies.win then
			game.loseText( bullet )
			elseif enemies.lose then
			game.winText( bullet )
			end
		if not enemies.win and not enemies.lose then
			love.graphics.scale( screen.scale )
			enemies:draw()
			bullet:draw()
			cannon:draw()
			if #explosion.tab > 0 then explosion:draw() end
			end
		game.shotText( bullet )
		end
	end

function love.update( dt )
	if not enemies.win and not enemies.lose then
		cannon:update( dt )
		enemies:update( dt, cannon, game )
		bullet:update( dt, cannon )
		bullet:contact( enemies, explosion )
		end
	end

function love.keypressed( key )
	if (enemies.win or enemies.lose or info) and key == 'space' then info = false game:start( cannon, enemies, bullet ) end
	if key == 'escape' then love.event.quit() end
	end
